> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/alerts/test-alert-hooks/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # send a test alert POST https://api.jambonz.cloud/v1/Accounts/{AccountSid}/AlertHooks/test Content-Type: application/json Sends a test alert to a single alert hook when alert_hook_sid is provided, otherwise to every alert hook on the account, and reports the delivery result per hook. Reference: https://docs.jambonz.org/reference/rest-platform-management/alerts/test-alert-hooks ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `AccountSid` (string, required) ### Body (application/json) This endpoint expects an object. - `alert_hook_sid` (string, optional) — test only this alert hook; omit to test all of the account's alert hooks ## Response ### 200 per-hook delivery results - `results` (list of AlertHookTestResult, optional) ## Errors ### 400 Bad Request Error alert hook delivery is not available on this server - `msg` (string, required) ### 404 Not Found Error alert_hook_sid not found for this account - `any` ## Types ### AlertHookTestResult - `type` (enum, required) — json - signed JSON POST to a URL; slack - Slack incoming webhook; pagerduty - PagerDuty Events API v2; email - only when the platform has email configured - Allowed values: `json`, `slack`, `pagerduty`, `email` - `ok` (boolean, required) — true if the destination accepted the test alert - `alert_hook_sid` (string, optional) - `status` (integer, optional) — HTTP status returned by the destination, when there was one - `error` (string, optional) — error detail when ok is false ## Examples **Request** ```json {} ``` **Response** ```json { "results": [ { "type": "json", "ok": true, "alert_hook_sid": "string", "status": 1, "error": "string" } ] } ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks/test" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks/test'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks/test" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks/test") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks/test") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks/test', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks/test"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks/test")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```